net.snowflake.client.jdbcapi

## Class StatementIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.jdbcapi.BaseJDBCTest
    - - net.snowflake.client.jdbcapi.StatementIT

    public class StatementIT
    extends BaseJDBCTest

Author:
  hyu

### Constructor Summary

Constructors
Constructor and Description
`StatementIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`
`void` `tearDown()`
`void` `testCopyAndUnload()`
`void` `testExecuteCreateAndDrop()`
`void` `testExecuteInsert()`
`void` `testExecuteMerge()`
`void` `testExecuteMultiInsert()`
`void` `testExecuteSelect()`
`void` `testExecuteUpdateAndDelete()`
`void` `testFetchDirection()`
`void` `testFetchSize()`
`void` `testMaxRows()`
`void` `testQueryTimeOut()`
`void` `testStatementClose()`

### Methods inherited from class net.snowflake.client.jdbcapi.BaseJDBCTest

`compareTwoLists, fetchColumnInResultSet, fetchResultSet, getConnection, getConnection, getInfoViaSQLCmd, getSFProjectRootString, getSizeOfResultSet, loadConfig`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatementIT

    public StatementIT()

### Method Detail

#### setUp

    public void setUp()
               throws SQLException

Overrides:
  `setUp` in class `AbstractDriverIT`
Throws:
  `SQLException`

#### tearDown

    public void tearDown()
                  throws SQLException

Overrides:
  `tearDown` in class `AbstractDriverIT`
Throws:
  `SQLException`

#### testFetchDirection

    public void testFetchDirection()
                            throws SQLException

Throws:
  `SQLException`

#### testFetchSize

    public void testFetchSize()
                       throws SQLException

Throws:
  `SQLException`

#### testMaxRows

    public void testMaxRows()
                     throws SQLException

Throws:
  `SQLException`

#### testQueryTimeOut

    public void testQueryTimeOut()
                          throws SQLException

Throws:
  `SQLException`

#### testStatementClose

    public void testStatementClose()
                            throws SQLException

Throws:
  `SQLException`

#### testExecuteSelect

    public void testExecuteSelect()
                           throws SQLException

Throws:
  `SQLException`

#### testExecuteCreateAndDrop

    public void testExecuteCreateAndDrop()
                                  throws SQLException

Throws:
  `SQLException`

#### testExecuteInsert

    public void testExecuteInsert()
                           throws SQLException

Throws:
  `SQLException`

#### testExecuteUpdateAndDelete

    public void testExecuteUpdateAndDelete()
                                    throws SQLException

Throws:
  `SQLException`

#### testExecuteMerge

    public void testExecuteMerge()
                          throws SQLException

Throws:
  `SQLException`

#### testExecuteMultiInsert

    public void testExecuteMultiInsert()
                                throws SQLException

Throws:
  `SQLException`

#### testCopyAndUnload

    public void testCopyAndUnload()
                           throws SQLException,
                                  Exception

Throws:
  `SQLException`
  `Exception`